
package com.sun.ts.tests.jsf.common.behavior;

import javax.faces.component.behavior.Behavior;
import javax.faces.event.BehaviorEvent;

public class TCKBehavior implements Behavior {

	private String name = "default_name";

	/**
	 * @return the name
	 */
	public String getName() {
	    return name;
	}

	/**
	 * @param name
	 *            the name to set
	 */
	public void setName(String name) {
	    this.name = name;
	}

	public void broadcast(BehaviorEvent arg0) {
	    throw new UnsupportedOperationException("Not supported yet.");
	}
}
